//
//  DT.m
//  SchemScan
//
//  Created by Christophe Guinchard on 06/06/11.
//  Copyright 2011. All rights reserved.
//

#import "DT.h"


@implementation DT

@synthesize size;
@synthesize distanceTable;

-(DT*) initWithArray:(NSArray *)initTable withSize:(CGSize)initSize{
	self = [super init];
	if(self)
	{
		distanceTable = [[NSArray alloc] initWithArray:initTable];
		size = initSize;
	}
	return self;
}

-(NSNumber*) getDistance:(CGPoint) point{
	int coordX = point.x+0.5;
	int coordY = point.y+0.5;
	NSNumber* indexe = [NSNumber numberWithUnsignedInt:(coordY*size.width)+coordX];
	return [distanceTable objectAtIndex:[indexe unsignedIntValue]];
}

- (void)dealloc {
	[distanceTable	release];
    [super dealloc];
}

@end
