//
//  Symbol.h
//  SchemScan
//
//  Created by Christophe Guinchard on 06/06/11.
//  Copyright 2011. All rights reserved.
//

#import <Foundation/Foundation.h>


@interface Symbol : NSObject {

	@private
	NSMutableArray	*pointsSymbol;
	CGRect			rectSymbol;
	
}

/* Properties */
@property CGRect	rectSymbol;
@property (nonatomic, retain) NSMutableArray *pointsSymbol;

/* Constructeur */
-(Symbol*) initWithArray:(NSArray *)initTable;
-(Symbol*) initWithSymbol:(Symbol *)initSymbol;

/* Methodes */
-(void) updateRect;
-(void) resizeSymbolWithSize:(CGSize)newSize;
-(void) rotateSymbolWithAngle:(CGFloat)angle;

/* Getter */
-(CGPoint) getPointWithIndex:(NSUInteger)index;
-(CGPoint) getPointWithIndex:(NSUInteger)index WithOrigin:(CGPoint)originPoint;
-(NSUInteger) getNumberPoints;

@end
